%define beta %nil

Summary: Qt wrapper API to different RDF storage solutions
Name: soprano
Version: 2.4.4
Release: alt0.M51.1

Group: Text tools
License: LGPLv2+
Url: http://sourceforge.net/projects/soprano

Requires: lib%name = %version-%release
Requires: %name-backend = %version

Source0: http://downloads.sf.net/soprano/soprano-%version%{?beta}.tar.bz2
Patch1: soprano-2.3.1-alt-cmake-install.patch
Patch2: soprano-2.3.1-alt-sort-plugins.patch
Patch3: soprano-2.3.1-alt-def-backend.patch
Patch4: soprano-2.3.1-alt-onto2vocabularyclass-backend.patch

BuildRequires(pre): libqt4-devel >= 4.4
BuildRequires: cmake gcc-c++ doxygen graphviz libclucene-devel libredland-devel xorg-devel libiodbc-devel
#BuildRequires: java-devel


%description
Soprano (formally known as QRDF) is a library which provides a nice Qt
interface to RDF storage solutions. It has a modular structure which
allows to  replace the actual RDF storage implementation used.


%package common
Summary: %name comon package
Group: System/Configuration/Other
Conflicts: soprano <= 2.3.0-alt1
%description common
Common package for %name.

%package backend-redland
Summary: Soprano redland backend
Group: Text tools
Requires: %name-common = %version-%release
Provides: %name-backend = %version
%description backend-redland
Soprano (formally known as QRDF) is a library which provides a nice Qt
interface to RDF storage solutions. It has a modular structure which
allows to  replace the actual RDF storage implementation used.

%package backend-virtuoso
Summary: Soprano virtuoso backend
Group: Text tools
Requires: %name-common = %version-%release
Requires: virtuoso-opensource
Provides: %name-backend = %version
%description backend-virtuoso
Soprano (formally known as QRDF) is a library which provides a nice Qt
interface to RDF storage solutions. It has a modular structure which
allows to  replace the actual RDF storage implementation used.

%package -n lib%name
Summary: Soprano libraries
Group: System/Libraries
Requires: libqt4-core >= %{get_version libqt4-core}
Requires: %name-common = %version-%release
%description -n lib%name
Soprano (formally known as QRDF) is a library which provides a nice Qt
interface to RDF storage solutions. It has a modular structure which
allows to  replace the actual RDF storage implementation used.

%package -n lib%name-devel
Summary: Developer files for %name
Group: Development/KDE and QT
Requires: lib%name = %version-%release
Requires: libqt4-devel
%description  -n lib%name-devel
Development files for the lib%name

%prep
%setup -q -n %name-%version%{?beta}
%patch1 -p1
%patch2 -p1
%patch3 -p1
#%patch4 -p1

%build
%add_optflags -DNDEBUG
%define lib_suffix %nil
%ifarch x86_64 ppc64
%define lib_suffix 64
%endif
mkdir -p %_target_platform
pushd %_target_platform
cmake .. \
    -DCMAKE_INSTALL_PREFIX=%prefix \
    -DCMAKE_BUILD_TYPE:STRING=Release \
    -DCMAKE_C_FLAGS_RELEASE:STRING='%optflags' \
    -DCMAKE_CXX_FLAGS_RELEASE:STRING='%optflags' \
    -DCMAKE_SKIP_RPATH:BOOL=yes \
    -DLIB_DESTINATION=%_lib \
    -DLIB_SUFFIX=%lib_suffix
popd

%make_build -C %_target_platform VERBOSE=1

%install
#export LD_LIBRARY_PATH=%buildroot/%_libdir:$LD_LIBRARY_PATH
%make -C %_target_platform DESTDIR=%buildroot install


%files common
%dir %_libdir/soprano/
%dir %_datadir/soprano/
%dir %_datadir/soprano/plugins

%files
%doc AUTHORS README TODO
%_bindir/sopranocmd
%_bindir/sopranod
%_bindir/onto2vocabularyclass
%_libdir/soprano/libsoprano_nquadparser.so
%_libdir/soprano/libsoprano_nquadserializer.so
%_libdir/soprano/libsoprano_raptorparser.so
%_libdir/soprano/libsoprano_raptorserializer.so
%_datadir/soprano/plugins/nquadparser.desktop
%_datadir/soprano/plugins/nquadserializer.desktop
%_datadir/soprano/plugins/raptorparser.desktop
%_datadir/soprano/plugins/raptorserializer.desktop
%_datadir/soprano/rules

%files backend-redland
%_libdir/soprano/libsoprano_redlandbackend.so
%_datadir/soprano/plugins/redlandbackend.desktop
#%_libdir/soprano/plugins/libsoprano_sesame2backend.so
#%_datadir/soprano/plugins/sesame2backend.desktop
#%_datadir/soprano/sesame2

%files backend-virtuoso
%_libdir/soprano/libsoprano_virtuosobackend.so
%_datadir/soprano/plugins/virtuosobackend.desktop

%files -n lib%name
%_libdir/lib*.so.*

%files -n lib%name-devel
%_libdir/lib*.so
%_pkgconfigdir/soprano*.pc
%_datadir/CMake/Modules/SopranoAddOntology.cmake
%_includedir/soprano/
%_includedir/Soprano/
%_datadir/dbus-1/interfaces/*

%changelog
* Wed Jul 14 2010 Sergey V Turchin <zerg@altlinux.org> 2.4.4-alt0.M51.1
- built for M51

* Wed Jul 14 2010 Sergey V Turchin <zerg@altlinux.org> 2.4.4-alt1
- new version

* Wed May 12 2010 Sergey V Turchin <zerg@altlinux.org> 2.4.3-alt0.M51.1
- build for M51

* Wed May 12 2010 Sergey V Turchin <zerg@altlinux.org> 2.4.3-alt1
- new version

* Tue Apr 20 2010 Sergey V Turchin <zerg@altlinux.org> 2.4.1-alt0.M51.1
- build for M51

* Fri Apr 02 2010 Sergey V Turchin <zerg@altlinux.org> 2.4.1-alt1
- new version

* Wed Mar 03 2010 Sergey V Turchin <zerg@altlinux.org> 2.4.0.1-alt1
- new version

* Mon Feb 01 2010 Sergey V Turchin <zerg@altlinux.org> 2.3.73-alt1
- new version

* Fri Jan 15 2010 Sergey V Turchin <zerg@altlinux.org> 2.3.71.1070828-alt1
- 2.3.71 svn r1070828

* Wed Dec 02 2009 Sergey V Turchin <zerg@altlinux.org> 2.3.1-alt4.M51.1
- built for M51

* Mon Nov 30 2009 Sergey V Turchin <zerg@altlinux.org> 2.3.1-alt5
- try to use redland backend in onto2vocabularyclass
  if sesame2 not found to don't break kde building

* Fri Nov 20 2009 Sergey V Turchin <zerg@altlinux.org> 2.3.1-alt3.M51.1
- built for M51

* Fri Nov 20 2009 Sergey V Turchin <zerg@altlinux.org> 2.3.1-alt4
- fix build requires

* Wed Nov 11 2009 Sergey V Turchin <zerg@altlinux.org> 2.3.1-alt2.M51.1
- built for M51

* Wed Nov 11 2009 Sergey V Turchin <zerg@altlinux.org> 2.3.1-alt3
- set default backend sesame2

* Tue Nov 10 2009 Sergey V Turchin <zerg@altlinux.org> 2.3.1-alt1.M51.1
- built for M51

* Tue Nov 10 2009 Sergey V Turchin <zerg@altlinux.org> 2.3.1-alt2
- reversed sort plugins to prevent sesame2

* Fri Oct 02 2009 Sergey V Turchin <zerg@altlinux.org> 2.3.1-alt1
- new version
- split redland backend into separate package

* Tue Aug 04 2009 Sergey V Turchin <zerg@altlinux.org> 2.3.0-alt1
- new version

* Wed Jul 15 2009 Sergey V Turchin <zerg@altlinux.org> 2.2.69-alt1
- new version

* Tue Mar 31 2009 Sergey V Turchin <zerg@altlinux.org> 2.2.3-alt1
- new version

* Fri Feb 27 2009 Sergey V Turchin <zerg at altlinux dot org> 2.2.2-alt1
- new version

* Mon Feb 16 2009 Sergey V Turchin <zerg at altlinux dot org> 2.2.1-alt1
- new version

* Wed Jan 28 2009 Sergey V Turchin <zerg at altlinux dot org> 2.1.67-alt1
- new version

* Tue Jan 13 2009 Sergey V Turchin <zerg at altlinux dot org> 2.1.64.895232-alt1
- new snapshot
- removed deprecated macroses from specfile

* Tue Oct 14 2008 Sergey V Turchin <zerg at altlinux dot org> 2.1.1-alt1
- new version

* Wed Jul 30 2008 Sergey V Turchin <zerg at altlinux dot org> 2.1-alt1
- new version

* Sun May 04 2008 Sergey V Turchin <zerg at altlinux dot org> 2.0.98-alt1
- new version

* Thu Mar 06 2008 Sergey V Turchin <zerg at altlinux dot org> 2.0.3-alt1
- new version

* Wed Feb 13 2008 Sergey V Turchin <zerg at altlinux dot org> 2.0.1-alt1
- built for ALT

